# class KApplicationTree | More...
Internal Use Only
Definition | `#include <kopenwith.h>`
Inherits | KListView (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KApplicationTree ( QWidget *parent )
- void addDesktopGroup ( QString relPath, KAppTreeListItem *item = 0 )
- bool isDirSel ()

#### Public Slots

- void slotItemHighlighted (QListViewItem* i)
- void slotSelectionChanged (QListViewItem* i)

#### Signals

- void selected ( const QString& _name, const QString& _exec )
- void highlighted ( const QString& _name, const QString& _exec )

#### Public Members

- KAppTreeListItem *it

#### Protected Methods

- void resizeEvent ( QResizeEvent *_ev )

#### Protected Members

- KAppTreeListItem* currentitem

## Detailed Description

KApplicationTree ( QWidget *parent ) | ### KApplicationTree

void addDesktopGroup ( QString relPath, KAppTreeListItem *item = 0 ) | ### addDesktopGroup

Add a group of .desktop/.kdelnk entries

KAppTreeListItem * it | ### it

bool isDirSel () | ### isDirSel

void resizeEvent ( QResizeEvent *_ev ) | ### resizeEvent

[protected]

KAppTreeListItem* currentitem | ### currentitem

[protected]

void slotItemHighlighted (QListViewItem* i) | ### slotItemHighlighted

[slot]

void slotSelectionChanged (QListViewItem* i) | ### slotSelectionChanged

[slot]

void selected ( const QString& _name, const QString& _exec ) | ### selected

[signal]

void highlighted ( const QString& _name, const QString& _exec ) | ### highlighted

[signal]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.